MineableSpawners [1.8-1.18+ SilkSpawners Alternative] 3.1.2

Silk touch, change and give spawners

  1. fergydanny
    Native Minecraft Version:
    1.13
    Tested Minecraft Versions:
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    • 1.13
    • 1.14
    • 1.15
    • 1.16
    • 1.17
    • 1.18
    Source Code:
    https://github.com/dannyferguson/MineableSpawners

    ** Support is only provided in the spigot thread or via github issues when the plugin in question is open source. Please keep in mind I am a busy individual and updates to free plugins are low priority. **

    MineableSpawners

    This plugin allows players to mine and drop spawners, receive them via command and more!

    Latest version (for 1.17+) is compiled on java 16 so you might need to update your java to run this plugin since starting 1.17 spigot requires java 16. If you are running an older server version you can just use https://www.spigotmc.org/resources/...ers-alternative.59921/download?version=392399

    Available on minehut at https://shop.minehut.com/products/mineablespawners

    Note: any free resource will only be updated when I have nothing better to do. Please use the comment section or github issues to report bugs and make suggestions.


    Current features:
    • Define if users can mine spawners.​
    • Change spawner types using /spawner (type).​
    • Give spawners to players using /spawnergive (player) (type) (amount).​
    • Disable spawner renaming in anvils.​
    • Define if users can change spawner types using spawn eggs.​
    • & more!​
    Commands: Main command "/mineablespawners" or "ms"
    • "/ms give <player> <type> <amount>" => Give a player spawners.
    • "/ms set <mob>" => Set a spawner type by looking at it.
    • "/ms types" => List all available types.
    • "/ms reload" => Reload the configuration.
    Permissions:
    • "mineablespawners.give" => Access to /ms give
    • "mineablespawners.set" => Access to /ms set
    • "mineablespawners.set.(type)" => Access to a specific type of mob in /spawner. Only applicable if require-individual-permission is set to true in the config.
    • "mineablespawners.mine" => Permission to mine a spawner.
    • "mineablespawners.mine.<type>" => Permission to mine a specific type of spawner.
    • "mineablespawners.nosilk" => Bypass the silk touch requirement when mining spawners.
    • "mineablespawners.eggchange" => Ability to change spawners by right clicking them with spawn eggs.
    • "mineablespawners.eggchange.<type>" => Access to specific types of mobs when using spawn eggs to change spawner types.
    • "mineablespawners.types" => List available entity types.
    • "mineablespawners.bypass" => Bypass spawner placing/mining requirements.

    Dependencies:

    Metrics:
    We use bStats to collect anonymous metrics (only grabs stuff like playercount, java version, server version and such). This helps me get some information about how used my plugin is and keeps me motivated. If you wish to turn it off you can in ./plugins/bStats/config.yml

    [​IMG]


    API: https://github.com/dannyferguson/Mi...com.dnyferguson.mineablespawners/api/API.java


    Everything is configurable and explained in the configuration file!

    Spanish config: https://pastebin.com/GNmR9urW [3.0.6] (courtesy of @erDUKE21 )


    Please report issues in the plugin thread or via github issues. Ratings are not meant to be used for feature requests and bug reports and will be ignored if used as such.​

Recent Updates

  1. 1.18 support
  2. Wither support
  3. 1.17 Support

Recent Reviews

  1. MatiPoirier
    MatiPoirier
    1/5,
    Version: 3.1.2
    Plugin is broken on latest, every time you mine a spawner you also dupe it. **DON'T USE ON YOUR SERVER**
    1. fergydanny
      Author's Response
      Nice fake news, you must have another plugin conflicting with it because its fine for me and many others
  2. User_pt
    User_pt
    1/5,
    Version: 3.1.1
    make discord server for support :/ EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE
  3. segu23
    segu23
    5/5,
    Version: 3.1.1
    Excelente plugin, muy facil de configurar y muy util, muy buen trabajo del dev :D
  4. Proomp
    Proomp
    1/5,
    Version: 3.1.0
    Not working for 1.8.8 server!

    [14:37:47 ERROR]: Could not load 'plugins\MineableSpawners-3.1.0.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/dnyferguson/mineablespawners/MineableSpawners has been compiled by a more recent version of the Java Runtime (class file version 60.0), this version of the Java Runtime only recognizes class file versions up to 52.0
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[patched.jar:git-PaperSpigot-"4c7641d"]
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:331) ~[patched.jar:git-PaperSpigot-"4c7641d"]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:254) [patched.jar:git-PaperSpigot-"4c7641d"]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:293) [patched.jar:git-PaperSpigot-"4c7641d"]
    at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:202) [patched.jar:git-PaperSpigot-"4c7641d"]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:563) [patched.jar:git-PaperSpigot-"4c7641d"]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_301]
    Caused by: java.lang.UnsupportedClassVersionError: com/dnyferguson/mineablespawners/MineableSpawners has been compiled by a more recent version of the Java Runtime (class file version 60.0), this version of the Java Runtime only recognizes class file versions up to 52.0
    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.8.0_301]
    at java.lang.ClassLoader.defineClass(Unknown Source) ~[?:1.8.0_301]
    at java.security.SecureClassLoader.defineClass(Unknown Source) ~[?:1.8.0_301]
    at java.net.URLClassLoader.defineClass(Unknown Source) ~[?:1.8.0_301]
    at java.net.URLClassLoader.access$100(Unknown Source) ~[?:1.8.0_301]
    at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.8.0_301]
    at java.net.URLClassLoader$1.run(Unknown Source) ~[?:1.8.0_301]
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.8.0_301]
    at java.net.URLClassLoader.findClass(Unknown Source) ~[?:1.8.0_301]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:102) ~[patched.jar:git-PaperSpigot-"4c7641d"]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:87) ~[patched.jar:git-PaperSpigot-"4c7641d"]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_301]
    at java.lang.ClassLoader.loadClass(Unknown Source) ~[?:1.8.0_301]
    at java.lang.Class.forName0(Native Method) ~[?:1.8.0_301]
    at java.lang.Class.forName(Unknown Source) ~[?:1.8.0_301]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:65) ~[patched.jar:git-PaperSpigot-"4c7641d"]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[patched.jar:git-PaperSpigot-"4c7641d"]
    ... 6 more
    1. fergydanny
      Author's Response
      Hi, next time please take the time to read the information on the plugin's page. The latest version is not compatible with old versions of Java
  5. Mr_Hunter_Zombie
    Mr_Hunter_Zombie
    5/5,
    Version: 3.1.0
    Amazing plugin, but could you add a limit ex. with a specific permission you can mine just 2 spawners and get the spawner, if you mine more than 2 spawners it will give default xp and a message saying you have reached the limit to mine spawners
  6. JonRahm
    JonRahm
    1/5,
    Version: 3.1.0
    Good plugin, but that collapses with others, I have a store where I sell spawners and when I break them they duplicate, obviously this is a bug in this plugin, a shame. Also they don't offer support from what I see.
    1. fergydanny
      Author's Response
      One could argue its a problem with the other plugins you are using. Its not my responsibility to offer support for every plugin out there
  7. CallmeKat
    CallmeKat
    3/5,
    Version: 3.1.0
    I was really disappointed to find out that this plugin does not work in 1.17 although it does work with 1.16.5 I really wanted to use it on the 1.17 version
    1. fergydanny
      Author's Response
      It literally does tho, latest update was for 1.17 and I tested it on a 1.17 server and it worked fine
  8. Goofables
    Goofables
    5/5,
    Version: 3.1.0
    Its just works. I love plugins that are simple and effective and do exactly what they say. This has been one of my few core plugins for a few years
  9. Bobbber
    Bobbber
    5/5,
    Version: 3.1.0
    very nice plugin ! good work :) I would like to have an option, to have a unique pickaxe that players cannot craft to put in the shop. have a maximum amount of spawner that can be placed on the ground.
  10. GustOfDutyWars
    GustOfDutyWars
    5/5,
    Version: 3.0.11.1
    excellent complement, it serves my server too much and I like all the functions it brings
    Update 1.17 please?